aboutsummaryrefslogtreecommitdiff
path: root/net/im
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-04-25 18:47:16 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-04-25 18:47:16 +0000
commit8195f54ac36517be045a85015929b794ebc2c32e (patch)
tree5a3e447e267924d4e2eb4ded1323a235c9445159 /net/im
parent55ffa8d15b6181be09e0c040ce4d90808c8e3e5e (diff)
downloadslackbuilds-8195f54ac36517be045a85015929b794ebc2c32e.tar.gz
slackbuilds-8195f54ac36517be045a85015929b794ebc2c32e.tar.bz2
silc-plugin: rebuilt from mkbuild
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1837 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/im')
-rwxr-xr-xnet/im/silc-plugin/silc-plugin.SlackBuild160
-rwxr-xr-xnet/im/silc-plugin/silc-plugin.build140
-rw-r--r--net/im/silc-plugin/slack-required5
3 files changed, 129 insertions, 176 deletions
diff --git a/net/im/silc-plugin/silc-plugin.SlackBuild b/net/im/silc-plugin/silc-plugin.SlackBuild
index 764addf1..b3932482 100755
--- a/net/im/silc-plugin/silc-plugin.SlackBuild
+++ b/net/im/silc-plugin/silc-plugin.SlackBuild
@@ -1,62 +1,152 @@
#!/bin/bash
#
-# silc-plugin.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# silc-plugin.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# silc-plugin.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# silc-plugin.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
-# SlackBuild script to call silc-plugin.build with correct settings
+# slackbuild for silc-plugin, by Silvio Rhatto
+# requires: silc-toolkit
+# tested: silc-plugin-1.1.4
#
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building silc-plugin are:
- cat silc-plugin.slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
+# Look for slackbuildrc
if [ -f ~/.slackbuildrc ]; then
source ~/.slackbuildrc
elif [ -f /etc/slackbuildrc ]; then
source /etc/slackbuildrc
fi
-# default settings
-PACKAGE="silc-plugin"
-VERSION=${VERSION:=1.1-beta6}
-ARCH="${ARCH:=i486}"
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="silc-client"
+PKG_NAME="silc-plugin"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=1.1.4}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:="--sysconfdir=/etc --docdir=/usr/doc/$PKG_NAME-$PKG_VERSION --with-silc-plugin=$LIBDIR/$PKG_NAME"}
+NUMJOBS=${NUMJOBS:=""}
-PKG_VERSION="`echo $VERSION | sed -e 's/-/_/g'`"
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
-rm -rf $TMP/$PACKAGE
-mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIR="$PREFIX/lib64"
+fi
-export PACKAGE VERSION ARCH BUILD SRC_DIR TMP REPOS
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
-if which simpletrack &> /dev/null; then
- simpletrack $PACKAGE.build
-else
- slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.bz2"
+URL="http://silcnet.org/download/client/sources/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="CHANGES COPYING CREDITS README TODO"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+silc-plugin: silc-plugin
+silc-plugin:
+silc-plugin: SILC (Secure Internet Live Conferencing) plugin for Irssi.
+silc-plugin:
+silc-plugin:
+silc-plugin:
+silc-plugin:
+silc-plugin:
+silc-plugin:
+silc-plugin:
+silc-plugin:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP/$PACKAGE
+ rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/net/im/silc-plugin/silc-plugin.build b/net/im/silc-plugin/silc-plugin.build
deleted file mode 100755
index f0bc7aa7..00000000
--- a/net/im/silc-plugin/silc-plugin.build
+++ /dev/null
@@ -1,140 +0,0 @@
-#!/bin/bash
-#
-# silc-plugin.build is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
-#
-# silc-plugin.build is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
-#
-# build script for silc-plugin
-# by rhatto at riseup.net
-# build it with slacktrack, example:
-#
-# ARCH=x86_64 slacktrack -jefkzp "silc-plugin-1.0.3-x86_64-1rha.tgz" "./silc-plugin.build"
-#
-
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building silc-plugin are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
-if [ -f "/etc/slackbuildrc" ]; then
- source /etc/slackbuildrc
-fi
-
-if [ -f "~/.slackbuildrc" ]; then
- source ~/.slackbuildrc
-fi
-
-# default settings
-PACKAGE="silc-plugin"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=1.1-beta6}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- export CFLAGS=-fPIC
- LIBDIR=/usr/lib64
- #CONF_OPTIONS="--disable-asm"
- #CONF_OPTIONS="--with-pic --disable-asm --with-pthreads=no"
- export LDFLAGS="-L/lib64 -L/usr/lib64"
- CONF_OPTIONS="--with-pic --with-pthreads=no --with-iconv=no"
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="bz2"
-PKG_VERSION="`echo $VERSION | sed -e 's/-/_/g'`"
-SRC="silc-client-$VERSION.tar.$PACKAGE_EXT"
-URL="http://silcnet.org/download/client/sources/$SRC"
-
-SRC_DIR="$SRC_DIR/silc-client"
-if [ ! -d "$SRC_DIR" ]; then
- mkdir -p $SRC_DIR
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-if [ ! -d "$TMP" ]; then
- mkdir -p $TMP
-fi
-cd $TMP
-
-tar xvf $SRC_DIR/$SRC
-cd silc-client-$VERSION
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff
-fi
-
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR $CONF_OPTIONS \
- --with-docdir=/usr/doc/$PACKAGE-$PKG_VERSION \
- --enable-silc-plugin --without-silc-includes --with-simdir=$LIBDIR/irssi/modules
-make || exit 32
-make install
-
-CWD="`pwd`"
-
-#strip --strip-unneeded /usr/bin/silc
-
-mkdir /install
-cat << EOF > /install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-silc-plugin: silc-plugin
-silc-plugin:
-silc-plugin: SILC (Secure Internet Live Conferencing) plugin for Irssi.
-silc-plugin:
-silc-plugin:
-silc-plugin:
-silc-plugin:
-silc-plugin:
-silc-plugin:
-silc-plugin:
-silc-plugin:
-EOF
-
-mkdir -p /usr/doc/$PACKAGE-$PKG_VERSION
-
-DOCS="CHANGES COPYING CREDITS README README.PLUGIN TODO"
-
-for file in $DOCS; do
- cp $CWD/$file* /usr/doc/$PACKAGE-$PKG_VERSION/
-done
-
-# TODO: one should check in the source how to make that stop to being copied to the root folder
-rm /draft-riikonen*
-rm /COPYING /CHANGES /CREDITS /README /INSTALL /TODO
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/net/im/silc-plugin/slack-required b/net/im/silc-plugin/slack-required
index 3a932587..dc7409e9 100644
--- a/net/im/silc-plugin/slack-required
+++ b/net/im/silc-plugin/slack-required
@@ -1 +1,4 @@
-silc-toolkit
+# Dependency list to silc-client
+#
+# dependency [condition] [version]]
+silc-toolkit